| Home | Libraries | People | FAQ | More

##### insert(rtree<...> &, ConvertibleOrRange const &)

Insert a value created using convertible object or a range of values to the index.

###### Description

It calls `rtree::insert(ConvertibleOrRange const&)`.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator,
             typename ConvertibleOrRange>
    void insert(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > & tree, ConvertibleOrRange const & conv_or_rng)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > &` | `tree` | The spatial index.
`ConvertibleOrRange const &` | `conv_or_rng` | The object of type convertible to value_type or a range of values.